Subject: Re: bug#39349: browse-url-of-dired-file should respect directory symlinks

From: Lars Ingebrigtsen <[email-masked]>
Date: Thu, 23 Jul 2020 16:39:50 +0200

Andreas Schwab <[email-masked]> writes:

> On Jul 23 2020, Lars Ingebrigtsen wrote:
>
>> Andreas Schwab <[email-masked]> writes:
>>
>>> On Jul 23 2020, Lars Ingebrigtsen wrote:
>>>
>>>> Eli, the use case here is that we don't want to chase/resolve symlinks,
>>>> but we do want to have "/foo/bar/." -> "/foo/bar" and "/foo/bar/.." ->
>>>> "/foo".
>>>
>>> Isn't that what expand-file-name does?
>>
>> No, it resolves symlinks:
>
> No, that's what file-truename does.

Oh, yeah; sorry.  Thanks.

Then...  I don't know what Dan is reporting here.  :-/

I've now set up a proper test case, and I can't reproduce the bug, Dan.
Could you explain more closely what you're seeing and what you're
expecting to see?

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no